Ask Bill!

Monitor

API reference for Monitor endpoints and webhooks

For how-to guidance, see the Monitor documentation.

Endpoints
/watchlist_screening/individual/createCreate a watchlist screening for a person
/watchlist_screening/individual/getRetrieve an individual watchlist screening
/watchlist_screening/individual/listList individual watchlist screenings
/watchlist_screening/individual/updateUpdate individual watchlist screening
/watchlist_screening/individual/history/listList history for individual watchlist screenings
/watchlist_screening/individual/review/createCreate a review for an individual watchlist screening
/watchlist_screening/individual/review/listList reviews for individual watchlist screenings
/watchlist_screening/individual/hit/listList hits for individual watchlist screenings
/watchlist_screening/individual/program/getGet individual watchlist screening programs
/watchlist_screening/individual/program/listList individual watchlist screening programs
/watchlist_screening/entity/createCreate a watchlist screening for an entity
/watchlist_screening/entity/getRetrieve an entity watchlist screening
/watchlist_screening/entity/listList entity watchlist screenings
/watchlist_screening/entity/updateUpdate entity watchlist screening
/watchlist_screening/entity/history/listList history for entity watchlist screenings
/watchlist_screening/entity/review/createCreate a review for an entity watchlist screening
/watchlist_screening/entity/review/listList reviews for entity watchlist screenings
/watchlist_screening/entity/hit/listList hits for entity watchlist screenings
/watchlist_screening/entity/program/getGet entity watchlist screening programs
/watchlist_screening/entity/program/listList entity watchlist screening programs
See also
/dashboard_user/getRetrieve information about a dashboard user
/dashboard_user/listList dashboard users
Webhooks
SCREENING: STATUS_UPDATEDThe status of an individual watchlist screening has changed
ENTITY_SCREENING: STATUS_UPDATEDThe status of an entity watchlist screening has changed

Endpoints

=*=*=*=

/watchlist_screening/individual/create

Create a watchlist screening for a person

Create a new Watchlist Screening to check your customer against watchlists defined in the associated Watchlist Program. If your associated program has ongoing screening enabled, this is the profile information that will be used to monitor your customer over time.

/watchlist_screening/individual/create

Request fields

search_terms
requiredobjectrequired, object

Search inputs for creating a watchlist screening

watchlist_program_id
requiredstringrequired, string

ID of the associated program.

legal_name
requiredstringrequired, string

The legal name of the individual being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

date_of_birth
stringstring

A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).

Format: date
document_number
stringstring

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

country
stringstring

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

client_user_id
stringstring

A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.

client_id
stringstring

Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

secret
stringstring

Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

/watchlist_screening/individual/create
const request: WatchlistScreeningIndividualCreateRequest = {
  search_terms: {
    watchlist_program_id: 'prg_2eRPsDnL66rZ7H',
    legal_name: 'Aleksey Potemkin',
    date_of_birth: '1990-05-29',
    document_number: 'C31195855',
    country: 'US',
  },
  client_user_id: 'example-client-user-id-123',
};

try {
  const response = await client.watchlistScreeningIndividualCreate(request);
} catch (error) {
  // handle error
}
/watchlist_screening/individual/create

Response fields

id
stringstring

ID of the associated screening.

search_terms
objectobject

Search terms for creating an individual watchlist screening

watchlist_program_id
stringstring

ID of the associated program.

legal_name
stringstring

The legal name of the individual being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

date_of_birth
nullablestringnullable, string

A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).

Format: date
document_number
nullablestringnullable, string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

country
nullablestringnullable, string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

version
integerinteger

The current version of the search terms. Starts at 1 and increments with each edit to search_terms.

assignee
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

status
stringstring

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: rejected, pending_review, cleared
client_user_id
nullablestringnullable, string

A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.

audit_trail
objectobject

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

source
stringstring

A type indicating who or what last touched this object. dashboard, link, and api indicate the originating surface; system indicates Plaid. retro indicates a screening created retroactively via a bulk screening creation.

Possible values: dashboard, link, api, system, retro
dashboard_user_id
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

timestamp
stringstring

An ISO8601 formatted timestamp.

Format: date-time
request_id
stringstring

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object
{
  "id": "scr_52xR9LKo77r1Np",
  "search_terms": {
    "watchlist_program_id": "prg_2eRPsDnL66rZ7H",
    "legal_name": "Aleksey Potemkin",
    "date_of_birth": "1990-05-29",
    "document_number": "C31195855",
    "country": "US",
    "version": 1
  },
  "assignee": "54350110fedcbaf01234ffee",
  "status": "cleared",
  "client_user_id": "your-db-id-3b24110",
  "audit_trail": {
    "source": "dashboard",
    "dashboard_user_id": "54350110fedcbaf01234ffee",
    "timestamp": "2020-07-24T03:26:02Z"
  },
  "request_id": "saKrIBuEB9qJZng"
}
=*=*=*=

/watchlist_screening/individual/get

Retrieve an individual watchlist screening

Retrieve a previously created individual watchlist screening

/watchlist_screening/individual/get

Request fields

watchlist_screening_id
requiredstringrequired, string

ID of the associated screening.

secret
stringstring

Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

client_id
stringstring

Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

/watchlist_screening/individual/get
const request: WatchlistScreeningIndividualGetRequest = {
  watchlist_screening_id: 'scr_52xR9LKo77r1Np',
};

try {
  const response = await client.watchlistScreeningIndividualGet(request);
} catch (error) {
  // handle error
}
/watchlist_screening/individual/get

Response fields

id
stringstring

ID of the associated screening.

search_terms
objectobject

Search terms for creating an individual watchlist screening

watchlist_program_id
stringstring

ID of the associated program.

legal_name
stringstring

The legal name of the individual being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

date_of_birth
nullablestringnullable, string

A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).

Format: date
document_number
nullablestringnullable, string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

country
nullablestringnullable, string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

version
integerinteger

The current version of the search terms. Starts at 1 and increments with each edit to search_terms.

assignee
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

status
stringstring

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: rejected, pending_review, cleared
client_user_id
nullablestringnullable, string

A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.

audit_trail
objectobject

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

source
stringstring

A type indicating who or what last touched this object. dashboard, link, and api indicate the originating surface; system indicates Plaid. retro indicates a screening created retroactively via a bulk screening creation.

Possible values: dashboard, link, api, system, retro
dashboard_user_id
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

timestamp
stringstring

An ISO8601 formatted timestamp.

Format: date-time
request_id
stringstring

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object
{
  "id": "scr_52xR9LKo77r1Np",
  "search_terms": {
    "watchlist_program_id": "prg_2eRPsDnL66rZ7H",
    "legal_name": "Aleksey Potemkin",
    "date_of_birth": "1990-05-29",
    "document_number": "C31195855",
    "country": "US",
    "version": 1
  },
  "assignee": "54350110fedcbaf01234ffee",
  "status": "cleared",
  "client_user_id": "your-db-id-3b24110",
  "audit_trail": {
    "source": "dashboard",
    "dashboard_user_id": "54350110fedcbaf01234ffee",
    "timestamp": "2020-07-24T03:26:02Z"
  },
  "request_id": "saKrIBuEB9qJZng"
}
=*=*=*=

/watchlist_screening/individual/list

List Individual Watchlist Screenings

List previously created watchlist screenings for individuals

/watchlist_screening/individual/list

Request fields

secret
stringstring

Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

client_id
stringstring

Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

watchlist_program_id
requiredstringrequired, string

ID of the associated program.

client_user_id
stringstring

A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.

status
stringstring

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: rejected, pending_review, cleared
assignee
stringstring

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

cursor
stringstring

An identifier that determines which page of results you receive.

/watchlist_screening/individual/list
const request: WatchlistScreeningIndividualListRequest = {
  watchlist_program_id: 'prg_2eRPsDnL66rZ7H',
  client_user_id: 'example-client-user-id-123',
};

try {
  const response = await client.watchlistScreeningIndividualList(request);
} catch (error) {
  // handle error
}
/watchlist_screening/individual/list

Response fields

watchlist_screenings
[object][object]

List of individual watchlist screenings

id
stringstring

ID of the associated screening.

search_terms
objectobject

Search terms for creating an individual watchlist screening

watchlist_program_id
stringstring

ID of the associated program.

legal_name
stringstring

The legal name of the individual being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

date_of_birth
nullablestringnullable, string

A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).

Format: date
document_number
nullablestringnullable, string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

country
nullablestringnullable, string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

version
integerinteger

The current version of the search terms. Starts at 1 and increments with each edit to search_terms.

assignee
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

status
stringstring

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: rejected, pending_review, cleared
client_user_id
nullablestringnullable, string

A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.

audit_trail
objectobject

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

source
stringstring

A type indicating who or what last touched this object. dashboard, link, and api indicate the originating surface; system indicates Plaid. retro indicates a screening created retroactively via a bulk screening creation.

Possible values: dashboard, link, api, system, retro
dashboard_user_id
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

timestamp
stringstring

An ISO8601 formatted timestamp.

Format: date-time
next_cursor
nullablestringnullable, string

An identifier that determines which page of results you receive.

request_id
stringstring

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object
{
  "watchlist_screenings": [
    {
      "id": "scr_52xR9LKo77r1Np",
      "search_terms": {
        "watchlist_program_id": "prg_2eRPsDnL66rZ7H",
        "legal_name": "Aleksey Potemkin",
        "date_of_birth": "1990-05-29",
        "document_number": "C31195855",
        "country": "US",
        "version": 1
      },
      "assignee": "54350110fedcbaf01234ffee",
      "status": "cleared",
      "client_user_id": "your-db-id-3b24110",
      "audit_trail": {
        "source": "dashboard",
        "dashboard_user_id": "54350110fedcbaf01234ffee",
        "timestamp": "2020-07-24T03:26:02Z"
      }
    }
  ],
  "next_cursor": "eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM",
  "request_id": "saKrIBuEB9qJZng"
}
=*=*=*=

/watchlist_screening/individual/update

Update individual watchlist screening

Update a specific individual watchlist screening. This endpoint can be used to add additional customer information, correct outdated information, add a reference id, assign the individual to a reviewer, and update which program it is associated with. Please note that you may not update search_terms and status at the same time since editing search_terms may trigger an automatic status change.

/watchlist_screening/individual/update

Request fields

watchlist_screening_id
requiredstringrequired, string

ID of the associated screening.

search_terms
objectobject

Search terms for editing an individual watchlist screening

watchlist_program_id
stringstring

ID of the associated program.

legal_name
stringstring

The legal name of the individual being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

date_of_birth
stringstring

A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).

Format: date
document_number
stringstring

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

country
stringstring

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

assignee
stringstring

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

status
stringstring

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: rejected, pending_review, cleared
client_user_id
stringstring

A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.

client_id
stringstring

Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

secret
stringstring

Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

reset_fields
[string][string]

A list of fields to reset back to null

Possible values: assignee
/watchlist_screening/individual/update
const request: WatchlistScreeningIndividualUpdateRequest = {
  watchlist_screening_id: 'scr_52xR9LKo77r1Np',
  status: 'cleared',
};

try {
  const response = await client.watchlistScreeningIndividualUpdate(request);
} catch (error) {
  // handle error
}
/watchlist_screening/individual/update

Response fields

id
stringstring

ID of the associated screening.

search_terms
objectobject

Search terms for creating an individual watchlist screening

watchlist_program_id
stringstring

ID of the associated program.

legal_name
stringstring

The legal name of the individual being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

date_of_birth
nullablestringnullable, string

A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).

Format: date
document_number
nullablestringnullable, string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

country
nullablestringnullable, string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

version
integerinteger

The current version of the search terms. Starts at 1 and increments with each edit to search_terms.

assignee
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

status
stringstring

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: rejected, pending_review, cleared
client_user_id
nullablestringnullable, string

A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.

audit_trail
objectobject

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

source
stringstring

A type indicating who or what last touched this object. dashboard, link, and api indicate the originating surface; system indicates Plaid. retro indicates a screening created retroactively via a bulk screening creation.

Possible values: dashboard, link, api, system, retro
dashboard_user_id
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

timestamp
stringstring

An ISO8601 formatted timestamp.

Format: date-time
request_id
stringstring

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object
{
  "id": "scr_52xR9LKo77r1Np",
  "search_terms": {
    "watchlist_program_id": "prg_2eRPsDnL66rZ7H",
    "legal_name": "Aleksey Potemkin",
    "date_of_birth": "1990-05-29",
    "document_number": "C31195855",
    "country": "US",
    "version": 1
  },
  "assignee": "54350110fedcbaf01234ffee",
  "status": "cleared",
  "client_user_id": "your-db-id-3b24110",
  "audit_trail": {
    "source": "dashboard",
    "dashboard_user_id": "54350110fedcbaf01234ffee",
    "timestamp": "2020-07-24T03:26:02Z"
  },
  "request_id": "saKrIBuEB9qJZng"
}
=*=*=*=

/watchlist_screening/individual/history/list

List history for individual watchlist screenings

List all changes to the individual watchlist screening in reverse-chronological order. If the watchlist screening has not been edited, no history will be returned.

/watchlist_screening/individual/history/list

Request fields

secret
stringstring

Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

client_id
stringstring

Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

watchlist_screening_id
requiredstringrequired, string

ID of the associated screening.

cursor
stringstring

An identifier that determines which page of results you receive.

/watchlist_screening/individual/history/list
const request: WatchlistScreeningIndividualHistoryListRequest = {
  watchlist_screening_id: 'scr_52xR9LKo77r1Np',
};

try {
  const response = await client.watchlistScreeningIndividualHistoryList(
    request,
  );
} catch (error) {
  // handle error
}
/watchlist_screening/individual/history/list

Response fields

watchlist_screenings
[object][object]

List of individual watchlist screenings

id
stringstring

ID of the associated screening.

search_terms
objectobject

Search terms for creating an individual watchlist screening

watchlist_program_id
stringstring

ID of the associated program.

legal_name
stringstring

The legal name of the individual being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

date_of_birth
nullablestringnullable, string

A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).

Format: date
document_number
nullablestringnullable, string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

country
nullablestringnullable, string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

version
integerinteger

The current version of the search terms. Starts at 1 and increments with each edit to search_terms.

assignee
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

status
stringstring

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: rejected, pending_review, cleared
client_user_id
nullablestringnullable, string

A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.

audit_trail
objectobject

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

source
stringstring

A type indicating who or what last touched this object. dashboard, link, and api indicate the originating surface; system indicates Plaid. retro indicates a screening created retroactively via a bulk screening creation.

Possible values: dashboard, link, api, system, retro
dashboard_user_id
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

timestamp
stringstring

An ISO8601 formatted timestamp.

Format: date-time
next_cursor
nullablestringnullable, string

An identifier that determines which page of results you receive.

request_id
stringstring

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object
{
  "watchlist_screenings": [
    {
      "id": "scr_52xR9LKo77r1Np",
      "search_terms": {
        "watchlist_program_id": "prg_2eRPsDnL66rZ7H",
        "legal_name": "Aleksey Potemkin",
        "date_of_birth": "1990-05-29",
        "document_number": "C31195855",
        "country": "US",
        "version": 1
      },
      "assignee": "54350110fedcbaf01234ffee",
      "status": "cleared",
      "client_user_id": "your-db-id-3b24110",
      "audit_trail": {
        "source": "dashboard",
        "dashboard_user_id": "54350110fedcbaf01234ffee",
        "timestamp": "2020-07-24T03:26:02Z"
      }
    }
  ],
  "next_cursor": "eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM",
  "request_id": "saKrIBuEB9qJZng"
}
=*=*=*=

/watchlist_screening/individual/review/create

Create a review for an individual watchlist screening

Create a review for the individual watchlist screening. Reviews are compliance reports created by users in your organization regarding the relevance of potential hits found by Plaid.

/watchlist_screening/individual/review/create

Request fields

confirmed_hits
required[string]required, [string]

Hits to mark as a true positive after thorough manual review. These hits will never recur or be updated once confirmed. In most cases, confirmed hits indicate that the customer should be rejected.

dismissed_hits
required[string]required, [string]

Hits to mark as a false positive after thorough manual review. These hits will never recur or be updated once dismissed.

comment
stringstring

A comment submitted by a team member as part of reviewing a watchlist screening.

client_id
stringstring

Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

secret
stringstring

Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

watchlist_screening_id
requiredstringrequired, string

ID of the associated screening.

/watchlist_screening/individual/review/create
const request: WatchlistScreeningIndividualReviewCreateRequest = {
  confirmed_hits: ['scrhit_52xR9LKo77r1Np'],
  dismissed_hits: [],
  watchlist_screening_id: 'scr_52xR9LKo77r1Np',
};

try {
  const response = await client.watchlistScreeningIndividualReviewCreate(
    request,
  );
} catch (error) {
  // handle error
}
/watchlist_screening/individual/review/create

Response fields

id
stringstring

ID of the associated review.

confirmed_hits
[string][string]

Hits marked as a true positive after thorough manual review. These hits will never recur or be updated once confirmed. In most cases, confirmed hits indicate that the customer should be rejected.

dismissed_hits
[string][string]

Hits marked as a false positive after thorough manual review. These hits will never recur or be updated once dismissed.

comment
nullablestringnullable, string

A comment submitted by a team member as part of reviewing a watchlist screening.

audit_trail
objectobject

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

source
stringstring

A type indicating who or what last touched this object. dashboard, link, and api indicate the originating surface; system indicates Plaid. retro indicates a screening created retroactively via a bulk screening creation.

Possible values: dashboard, link, api, system, retro
dashboard_user_id
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

timestamp
stringstring

An ISO8601 formatted timestamp.

Format: date-time
request_id
stringstring

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object
{
  "id": "rev_aCLNRxK3UVzn2r",
  "confirmed_hits": [
    "scrhit_52xR9LKo77r1Np"
  ],
  "dismissed_hits": [
    "scrhit_52xR9LKo77r1Np"
  ],
  "comment": "These look like legitimate matches, rejecting the customer.",
  "audit_trail": {
    "source": "dashboard",
    "dashboard_user_id": "54350110fedcbaf01234ffee",
    "timestamp": "2020-07-24T03:26:02Z"
  },
  "request_id": "saKrIBuEB9qJZng"
}
=*=*=*=

/watchlist_screening/individual/review/list

List reviews for individual watchlist screenings

List all reviews for the individual watchlist screening.

/watchlist_screening/individual/review/list

Request fields

secret
stringstring

Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

client_id
stringstring

Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

watchlist_screening_id
requiredstringrequired, string

ID of the associated screening.

cursor
stringstring

An identifier that determines which page of results you receive.

/watchlist_screening/individual/review/list
const request: WatchlistScreeningIndividualReviewListRequest = {
  watchlist_screening_id: 'scr_52xR9LKo77r1Np',
};

try {
  const response = await client.watchlistScreeningIndividualReviewList(request);
} catch (error) {
  // handle error
}
/watchlist_screening/individual/review/list

Response fields

watchlist_screening_reviews
[object][object]

List of screening reviews

id
stringstring

ID of the associated review.

confirmed_hits
[string][string]

Hits marked as a true positive after thorough manual review. These hits will never recur or be updated once confirmed. In most cases, confirmed hits indicate that the customer should be rejected.

dismissed_hits
[string][string]

Hits marked as a false positive after thorough manual review. These hits will never recur or be updated once dismissed.

comment
nullablestringnullable, string

A comment submitted by a team member as part of reviewing a watchlist screening.

audit_trail
objectobject

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

source
stringstring

A type indicating who or what last touched this object. dashboard, link, and api indicate the originating surface; system indicates Plaid. retro indicates a screening created retroactively via a bulk screening creation.

Possible values: dashboard, link, api, system, retro
dashboard_user_id
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

timestamp
stringstring

An ISO8601 formatted timestamp.

Format: date-time
next_cursor
nullablestringnullable, string

An identifier that determines which page of results you receive.

request_id
stringstring

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object
{
  "watchlist_screening_reviews": [
    {
      "id": "rev_aCLNRxK3UVzn2r",
      "confirmed_hits": [
        "scrhit_52xR9LKo77r1Np"
      ],
      "dismissed_hits": [
        "scrhit_52xR9LKo77r1Np"
      ],
      "comment": "These look like legitimate matches, rejecting the customer.",
      "audit_trail": {
        "source": "dashboard",
        "dashboard_user_id": "54350110fedcbaf01234ffee",
        "timestamp": "2020-07-24T03:26:02Z"
      }
    }
  ],
  "next_cursor": "eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM",
  "request_id": "saKrIBuEB9qJZng"
}
=*=*=*=

/watchlist_screening/individual/hit/list

List hits for individual watchlist screening

List all hits found by Plaid for a particular individual watchlist screening.

/watchlist_screening/individual/hit/list

Request fields

secret
stringstring

Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

client_id
stringstring

Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

watchlist_screening_id
requiredstringrequired, string

ID of the associated screening.

cursor
stringstring

An identifier that determines which page of results you receive.

/watchlist_screening/individual/hit/list
const request: WatchlistScreeningIndividualHitListRequest = {
  watchlist_screening_id: 'scr_52xR9LKo77r1Np',
};

try {
  const response = await client.watchlistScreeningIndividualHitList(request);
} catch (error) {
  // handle error
}
/watchlist_screening/individual/hit/list

Response fields

watchlist_screening_hits
[object][object]

List of individual watchlist screening hits

id
stringstring

ID of the associated screening hit.

review_status
stringstring

The current state of review. All watchlist screening hits begin in a pending_review state but can be changed by creating a review. When a hit is in the pending_review state, it will always show the latest version of the watchlist data Plaid has available and be compared against the latest customer information saved in the watchlist screening. Once a hit has been marked as confirmed or dismissed it will no longer be updated so that the state is as it was when the review was first conducted.

Possible values: confirmed, pending_review, dismissed
first_active
stringstring

An ISO8601 formatted timestamp.

Format: date-time
inactive_since
nullablestringnullable, string

An ISO8601 formatted timestamp.

Format: date-time
historical_since
nullablestringnullable, string

An ISO8601 formatted timestamp.

Format: date-time
list_code
stringstring

Shorthand identifier for a specific screening list for individuals.

AU_CON: Australia Department of Foreign Affairs and Trade Consolidated List

CA_CON: Government of Canada Consolidated List of Sanctions

EU_CON: European External Action Service Consolidated List

IZ_CIA: CIA List of Chiefs of State and Cabinet Members

IZ_IPL: Interpol Red Notices for Wanted Persons List

IZ_PEP: Politically Exposed Persons List

IZ_UNC: United Nations Consolidated Sanctions

IZ_WBK: World Bank Listing of Ineligible Firms and Individuals

UK_HMC: Foreign, Commonwealth & Development Office UK Sanctions List

US_DPL: Bureau of Industry and Security Denied Persons List

US_DTC: US Department of State AECA Debarred

US_FBI: US Department of Justice FBI Wanted List

US_FSE: US OFAC Foreign Sanctions Evaders

US_ISN: US Department of State Nonproliferation Sanctions

US_MBS: US Non-SDN Menu-Based Sanctions

US_PLC: US OFAC Palestinian Legislative Council

US_SAM: US System for Award Management Exclusion List

US_SDN: US OFAC Specially Designated Nationals List

US_SSI: US OFAC Sectoral Sanctions Identifications

SG_SOF: Government of Singapore Terrorists and Terrorist Entities

TR_TWL: Government of Turkey Terrorist Wanted List

TR_DFD: Government of Turkey Domestic Freezing Decisions

TR_FOR: Government of Turkey Foreign Freezing Requests

TR_WMD: Government of Turkey Weapons of Mass Destruction

TR_CMB: Government of Turkey Capital Markets Board

Possible values: AU_CON, CA_CON, EU_CON, IZ_CIA, IZ_IPL, IZ_PEP, IZ_UNC, IZ_WBK, UK_HMC, US_DPL, US_DTC, US_FBI, US_FSE, US_ISN, US_MBS, US_PLC, US_SAM, US_SDN, US_SSI, SG_SOF, TR_TWL, TR_DFD, TR_FOR, TR_WMD, TR_CMB
plaid_uid
stringstring

A universal identifier for a watchlist individual that is stable across searches and updates.

source_uid
nullablestringnullable, string

The identifier provided by the source sanction or watchlist. When one is not provided by the source, this is null.

sub_programs
[string][string]

Sub-program designations that may be attached to the watchlist entry by the issuing authority. For OFAC SDN entries these are the program codes published in the SDN list (for example SDGT for Specially Designated Global Terrorists, SDNTK for Specially Designated Narcotics Trafficking Kingpins, IRAN, RUSSIA-EO14024). New codes are added by sanctioning authorities without prior notice, so callers should treat unknown values as opaque strings rather than enum members.

analysis
objectobject

Analysis information describing why a screening hit matched the provided user information

dates_of_birth
stringstring

An enum indicating the match type between data provided by user and data checked against an external data source.

match indicates that the provided input data was a strong match against external data.

partial_match indicates the data approximately matched against external data. For example, "Knope" vs. "Knope-Wyatt" for last name.

no_match indicates that Plaid was able to perform a check against an external data source and it did not match the provided input data.

no_data indicates that Plaid was unable to find external data to compare against the provided input data.

no_input indicates that Plaid was unable to perform a check because no information was provided for this field by the end user.

Possible values: match, partial_match, no_match, no_data, no_input
documents
stringstring

An enum indicating the match type between data provided by user and data checked against an external data source.

match indicates that the provided input data was a strong match against external data.

partial_match indicates the data approximately matched against external data. For example, "Knope" vs. "Knope-Wyatt" for last name.

no_match indicates that Plaid was able to perform a check against an external data source and it did not match the provided input data.

no_data indicates that Plaid was unable to find external data to compare against the provided input data.

no_input indicates that Plaid was unable to perform a check because no information was provided for this field by the end user.

Possible values: match, partial_match, no_match, no_data, no_input
locations
stringstring

An enum indicating the match type between data provided by user and data checked against an external data source.

match indicates that the provided input data was a strong match against external data.

partial_match indicates the data approximately matched against external data. For example, "Knope" vs. "Knope-Wyatt" for last name.

no_match indicates that Plaid was able to perform a check against an external data source and it did not match the provided input data.

no_data indicates that Plaid was unable to find external data to compare against the provided input data.

no_input indicates that Plaid was unable to perform a check because no information was provided for this field by the end user.

Possible values: match, partial_match, no_match, no_data, no_input
names
stringstring

An enum indicating the match type between data provided by user and data checked against an external data source.

match indicates that the provided input data was a strong match against external data.

partial_match indicates the data approximately matched against external data. For example, "Knope" vs. "Knope-Wyatt" for last name.

no_match indicates that Plaid was able to perform a check against an external data source and it did not match the provided input data.

no_data indicates that Plaid was unable to find external data to compare against the provided input data.

no_input indicates that Plaid was unable to perform a check because no information was provided for this field by the end user.

Possible values: match, partial_match, no_match, no_data, no_input
search_terms_version
integerinteger

The version of the screening's search_terms that were compared when the screening hit was added. Screening hits are immutable once they have been reviewed. If changes are detected due to updates to the screening's search_terms, the associated program, or the list's source data prior to review, the screening hit will be updated to reflect those changes.

data
objectobject

Information associated with the watchlist hit

dates_of_birth
[object][object]

Dates of birth associated with the watchlist hit

analysis
objectobject

Summary object reflecting the match result of the associated data

summary
stringstring

An enum indicating the match type between data provided by user and data checked against an external data source.

match indicates that the provided input data was a strong match against external data.

partial_match indicates the data approximately matched against external data. For example, "Knope" vs. "Knope-Wyatt" for last name.

no_match indicates that Plaid was able to perform a check against an external data source and it did not match the provided input data.

no_data indicates that Plaid was unable to find external data to compare against the provided input data.

no_input indicates that Plaid was unable to perform a check because no information was provided for this field by the end user.

Possible values: match, partial_match, no_match, no_data, no_input
data
objectobject

A date range with a start and end date

beginning
stringstring

A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).

Format: date
ending
stringstring

A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).

Format: date
documents
[object][object]

Documents associated with the watchlist hit

analysis
objectobject

Summary object reflecting the match result of the associated data

summary
stringstring

An enum indicating the match type between data provided by user and data checked against an external data source.

match indicates that the provided input data was a strong match against external data.

partial_match indicates the data approximately matched against external data. For example, "Knope" vs. "Knope-Wyatt" for last name.

no_match indicates that Plaid was able to perform a check against an external data source and it did not match the provided input data.

no_data indicates that Plaid was unable to find external data to compare against the provided input data.

no_input indicates that Plaid was unable to perform a check because no information was provided for this field by the end user.

Possible values: match, partial_match, no_match, no_data, no_input
data
objectobject

An official document, usually issued by a governing body or institution, with an associated identifier.

type
stringstring

The kind of official document represented by this object.

birth_certificate - A certificate of birth

drivers_license - A license to operate a motor vehicle

immigration_number - Immigration or residence documents

military_id - Identification issued by a military group

other - Any document not covered by other categories

passport - An official passport issued by a government

personal_identification - Any generic personal identification that is not covered by other categories

ration_card - Identification that entitles the holder to rations

ssn - United States Social Security Number

student_id - Identification issued by an educational institution

tax_id - Identification issued for the purpose of collecting taxes

travel_document - Visas, entry permits, refugee documents, etc.

voter_id - Identification issued for the purpose of voting

Possible values: birth_certificate, drivers_license, immigration_number, military_id, other, passport, personal_identification, ration_card, ssn, student_id, tax_id, travel_document, voter_id
number
stringstring

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

locations
[object][object]

Locations associated with the watchlist hit

analysis
objectobject

Summary object reflecting the match result of the associated data

summary
stringstring

An enum indicating the match type between data provided by user and data checked against an external data source.

match indicates that the provided input data was a strong match against external data.

partial_match indicates the data approximately matched against external data. For example, "Knope" vs. "Knope-Wyatt" for last name.

no_match indicates that Plaid was able to perform a check against an external data source and it did not match the provided input data.

no_data indicates that Plaid was unable to find external data to compare against the provided input data.

no_input indicates that Plaid was unable to perform a check because no information was provided for this field by the end user.

Possible values: match, partial_match, no_match, no_data, no_input
data
objectobject

Location information for the associated watchlist hit

full
stringstring

The full location string, potentially including elements like street, city, postal codes and country codes. Note that this is not necessarily a complete or well-formatted address.

country
stringstring

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

names
[object][object]

Names associated with the watchlist hit

analysis
objectobject

Summary object reflecting the match result of the associated data

summary
stringstring

An enum indicating the match type between data provided by user and data checked against an external data source.

match indicates that the provided input data was a strong match against external data.

partial_match indicates the data approximately matched against external data. For example, "Knope" vs. "Knope-Wyatt" for last name.

no_match indicates that Plaid was able to perform a check against an external data source and it did not match the provided input data.

no_data indicates that Plaid was unable to find external data to compare against the provided input data.

no_input indicates that Plaid was unable to perform a check because no information was provided for this field by the end user.

Possible values: match, partial_match, no_match, no_data, no_input
data
objectobject

Name information for the associated individual watchlist hit

full
stringstring

The full name of the individual, including all parts.

is_primary
booleanboolean

Primary names are those most commonly used to refer to this person. Only one name will ever be marked as primary.

weak_alias_determination
stringstring

Names that are explicitly marked as low quality either by their source list, or by plaid by a series of additional checks done by Plaid. Plaid does not ever surface a hit as a result of a weak name alone. If a name has no quality issues, this value will be none.

Possible values: none, source, plaid
next_cursor
nullablestringnullable, string

An identifier that determines which page of results you receive.

request_id
stringstring

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object
{
  "watchlist_screening_hits": [
    {
      "id": "scrhit_52xR9LKo77r1Np",
      "review_status": "pending_review",
      "first_active": "2020-07-24T03:26:02Z",
      "inactive_since": "2020-07-24T03:26:02Z",
      "historical_since": "2020-07-24T03:26:02Z",
      "list_code": "US_SDN",
      "plaid_uid": "uid_3NggckTimGSJHS",
      "source_uid": "26192ABC",
      "sub_programs": [
        "SDGT"
      ],
      "analysis": {
        "dates_of_birth": "match",
        "documents": "match",
        "locations": "match",
        "names": "match",
        "search_terms_version": 1
      },
      "data": {
        "dates_of_birth": [
          {
            "analysis": {
              "summary": "match"
            },
            "data": {
              "beginning": "1990-05-29",
              "ending": "1990-05-29"
            }
          }
        ],
        "documents": [
          {
            "analysis": {
              "summary": "match"
            },
            "data": {
              "type": "passport",
              "number": "C31195855"
            }
          }
        ],
        "locations": [
          {
            "analysis": {
              "summary": "match"
            },
            "data": {
              "full": "Florida, US",
              "country": "US"
            }
          }
        ],
        "names": [
          {
            "analysis": {
              "summary": "match"
            },
            "data": {
              "full": "Aleksey Potemkin",
              "is_primary": false,
              "weak_alias_determination": "none"
            }
          }
        ]
      }
    }
  ],
  "next_cursor": "eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM",
  "request_id": "saKrIBuEB9qJZng"
}
=*=*=*=

/watchlist_screening/individual/program/get

Get individual watchlist screening program

Get an individual watchlist screening program

/watchlist_screening/individual/program/get

Request fields

watchlist_program_id
requiredstringrequired, string

ID of the associated program.

secret
stringstring

Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

client_id
stringstring

Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

/watchlist_screening/individual/program/get
const request: WatchlistScreeningIndividualProgramGetRequest = {
  watchlist_program_id: 'prg_2eRPsDnL66rZ7H',
};

try {
  const response = await client.watchlistScreeningIndividualProgramGet(request);
} catch (error) {
  // handle error
}
/watchlist_screening/individual/program/get

Response fields

id
stringstring

ID of the associated program.

created_at
stringstring

An ISO8601 formatted timestamp.

Format: date-time
is_rescanning_enabled
booleanboolean

Indicator specifying whether the program is enabled and will perform daily rescans.

lists_enabled
[string][string]

Watchlists enabled for the associated program

Possible values: AU_CON, CA_CON, EU_CON, IZ_CIA, IZ_IPL, IZ_PEP, IZ_UNC, IZ_WBK, UK_HMC, US_DPL, US_DTC, US_FBI, US_FSE, US_ISN, US_MBS, US_PLC, US_SAM, US_SDN, US_SSI, SG_SOF, TR_TWL, TR_DFD, TR_FOR, TR_WMD, TR_CMB
name
stringstring

A name for the program to define its purpose. For example, "High Risk Individuals", "US Cardholders", or "Applicants".

name_sensitivity
stringstring

The valid name matching sensitivity configurations for a screening program. Note that while certain matching techniques may be more prevalent on less strict settings, all matching algorithms are enabled for every sensitivity.

coarse - See more potential matches. This sensitivity will see more broad phonetic matches across alphabets that make missing a potential hit very unlikely. This setting is noisier and will require more manual review.

balanced - A good default for most companies. This sensitivity is balanced to show high quality hits with reduced noise.

strict - Aggressive false positive reduction. This sensitivity will require names to be more similar than coarse and balanced settings, relying less on phonetics, while still accounting for character transpositions, missing tokens, and other common permutations.

exact - Matches must be nearly exact. This sensitivity will only show hits with exact or nearly exact name matches with only basic correction such as extraneous symbols and capitalization. This setting is generally not recommended unless you have a very specific use case.

Possible values: coarse, balanced, strict, exact
audit_trail
objectobject

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

source
stringstring

A type indicating who or what last touched this object. dashboard, link, and api indicate the originating surface; system indicates Plaid. retro indicates a screening created retroactively via a bulk screening creation.

Possible values: dashboard, link, api, system, retro
dashboard_user_id
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

timestamp
stringstring

An ISO8601 formatted timestamp.

Format: date-time
is_archived
booleanboolean

Archived programs are read-only and cannot screen new customers nor participate in ongoing monitoring.

request_id
stringstring

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object
{
  "id": "prg_2eRPsDnL66rZ7H",
  "created_at": "2020-07-24T03:26:02Z",
  "is_rescanning_enabled": true,
  "lists_enabled": [
    "US_SDN"
  ],
  "name": "Sample Program",
  "name_sensitivity": "balanced",
  "audit_trail": {
    "source": "dashboard",
    "dashboard_user_id": "54350110fedcbaf01234ffee",
    "timestamp": "2020-07-24T03:26:02Z"
  },
  "is_archived": false,
  "request_id": "saKrIBuEB9qJZng"
}
=*=*=*=

/watchlist_screening/individual/program/list

List individual watchlist screening programs

List all individual watchlist screening programs

/watchlist_screening/individual/program/list

Request fields

secret
stringstring

Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

client_id
stringstring

Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

cursor
stringstring

An identifier that determines which page of results you receive.

/watchlist_screening/individual/program/list
try {
  const response = await client.watchlistScreeningIndividualProgramList({});
} catch (error) {
  // handle error
}
/watchlist_screening/individual/program/list

Response fields

watchlist_programs
[object][object]

List of individual watchlist screening programs

id
stringstring

ID of the associated program.

created_at
stringstring

An ISO8601 formatted timestamp.

Format: date-time
is_rescanning_enabled
booleanboolean

Indicator specifying whether the program is enabled and will perform daily rescans.

lists_enabled
[string][string]

Watchlists enabled for the associated program

Possible values: AU_CON, CA_CON, EU_CON, IZ_CIA, IZ_IPL, IZ_PEP, IZ_UNC, IZ_WBK, UK_HMC, US_DPL, US_DTC, US_FBI, US_FSE, US_ISN, US_MBS, US_PLC, US_SAM, US_SDN, US_SSI, SG_SOF, TR_TWL, TR_DFD, TR_FOR, TR_WMD, TR_CMB
name
stringstring

A name for the program to define its purpose. For example, "High Risk Individuals", "US Cardholders", or "Applicants".

name_sensitivity
stringstring

The valid name matching sensitivity configurations for a screening program. Note that while certain matching techniques may be more prevalent on less strict settings, all matching algorithms are enabled for every sensitivity.

coarse - See more potential matches. This sensitivity will see more broad phonetic matches across alphabets that make missing a potential hit very unlikely. This setting is noisier and will require more manual review.

balanced - A good default for most companies. This sensitivity is balanced to show high quality hits with reduced noise.

strict - Aggressive false positive reduction. This sensitivity will require names to be more similar than coarse and balanced settings, relying less on phonetics, while still accounting for character transpositions, missing tokens, and other common permutations.

exact - Matches must be nearly exact. This sensitivity will only show hits with exact or nearly exact name matches with only basic correction such as extraneous symbols and capitalization. This setting is generally not recommended unless you have a very specific use case.

Possible values: coarse, balanced, strict, exact
audit_trail
objectobject

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

source
stringstring

A type indicating who or what last touched this object. dashboard, link, and api indicate the originating surface; system indicates Plaid. retro indicates a screening created retroactively via a bulk screening creation.

Possible values: dashboard, link, api, system, retro
dashboard_user_id
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

timestamp
stringstring

An ISO8601 formatted timestamp.

Format: date-time
is_archived
booleanboolean

Archived programs are read-only and cannot screen new customers nor participate in ongoing monitoring.

next_cursor
nullablestringnullable, string

An identifier that determines which page of results you receive.

request_id
stringstring

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object
{
  "watchlist_programs": [
    {
      "id": "prg_2eRPsDnL66rZ7H",
      "created_at": "2020-07-24T03:26:02Z",
      "is_rescanning_enabled": true,
      "lists_enabled": [
        "US_SDN"
      ],
      "name": "Sample Program",
      "name_sensitivity": "balanced",
      "audit_trail": {
        "source": "dashboard",
        "dashboard_user_id": "54350110fedcbaf01234ffee",
        "timestamp": "2020-07-24T03:26:02Z"
      },
      "is_archived": false
    }
  ],
  "next_cursor": "eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM",
  "request_id": "saKrIBuEB9qJZng"
}
=*=*=*=

/watchlist_screening/entity/create

Create a watchlist screening for an entity

Create a new entity watchlist screening to check your customer against watchlists defined in the associated entity watchlist program. If your associated program has ongoing screening enabled, this is the profile information that will be used to monitor your customer over time.

/watchlist_screening/entity/create

Request fields

search_terms
requiredobjectrequired, object

Search inputs for creating an entity watchlist screening

entity_watchlist_program_id
requiredstringrequired, string

ID of the associated entity program.

legal_name
requiredstringrequired, string

The name of the organization being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

document_number
stringstring

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

email_address
stringstring

A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see RFC 3696.

Format: email
country
stringstring

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

phone_number
stringstring

A phone number in E.164 format.

url
stringstring

An 'http' or 'https' URL (must begin with either of those).

Format: uri
client_user_id
stringstring

A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.

client_id
stringstring

Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

secret
stringstring

Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

/watchlist_screening/entity/create
const request: WatchlistScreeningEntityCreateRequest = {
  search_terms: {
    entity_watchlist_program_id: 'entprg_2eRPsDnL66rZ7H',
    legal_name: 'Example Screening Entity',
    document_number: 'C31195855',
    email_address: 'user@example.com',
    country: 'US',
    phone_number: '+14025671234',
    url: 'https://example.com',
  },
  client_user_id: 'example-client-user-id-123',
};

try {
  const response = await client.watchlistScreeningEntityCreate(request);
} catch (error) {
  // handle error
}
/watchlist_screening/entity/create

Response fields

id
stringstring

ID of the associated entity screening.

search_terms
objectobject

Search terms associated with an entity used for searching against watchlists

entity_watchlist_program_id
stringstring

ID of the associated entity program.

legal_name
stringstring

The name of the organization being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

document_number
nullablestringnullable, string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

email_address
nullablestringnullable, string

A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see RFC 3696.

Format: email
country
nullablestringnullable, string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

phone_number
nullablestringnullable, string

A phone number in E.164 format.

url
nullablestringnullable, string

An 'http' or 'https' URL (must begin with either of those).

Format: uri
version
integerinteger

The current version of the search terms. Starts at 1 and increments with each edit to search_terms.

assignee
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

status
stringstring

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: rejected, pending_review, cleared
client_user_id
nullablestringnullable, string

A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.

audit_trail
objectobject

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

source
stringstring

A type indicating who or what last touched this object. dashboard, link, and api indicate the originating surface; system indicates Plaid. retro indicates a screening created retroactively via a bulk screening creation.

Possible values: dashboard, link, api, system, retro
dashboard_user_id
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

timestamp
stringstring

An ISO8601 formatted timestamp.

Format: date-time
request_id
stringstring

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object
{
  "id": "entscr_52xR9LKo77r1Np",
  "search_terms": {
    "entity_watchlist_program_id": "entprg_2eRPsDnL66rZ7H",
    "legal_name": "Al-Qaida",
    "document_number": "C31195855",
    "email_address": "user@example.com",
    "country": "US",
    "phone_number": "+14025671234",
    "url": "https://example.com",
    "version": 1
  },
  "assignee": "54350110fedcbaf01234ffee",
  "status": "cleared",
  "client_user_id": "your-db-id-3b24110",
  "audit_trail": {
    "source": "dashboard",
    "dashboard_user_id": "54350110fedcbaf01234ffee",
    "timestamp": "2020-07-24T03:26:02Z"
  },
  "request_id": "saKrIBuEB9qJZng"
}
=*=*=*=

/watchlist_screening/entity/get

Get an entity screening

Retrieve an entity watchlist screening.

/watchlist_screening/entity/get

Request fields

entity_watchlist_screening_id
requiredstringrequired, string

ID of the associated entity screening.

secret
stringstring

Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

client_id
stringstring

Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

/watchlist_screening/entity/get
const request: WatchlistScreeningEntityGetRequest = {
  entity_watchlist_screening_id: 'entscr_52xR9LKo77r1Np',
};

try {
  const response = await client.watchlistScreeningEntityGet(request);
} catch (error) {
  // handle error
}
/watchlist_screening/entity/get

Response fields

id
stringstring

ID of the associated entity screening.

search_terms
objectobject

Search terms associated with an entity used for searching against watchlists

entity_watchlist_program_id
stringstring

ID of the associated entity program.

legal_name
stringstring

The name of the organization being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

document_number
nullablestringnullable, string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

email_address
nullablestringnullable, string

A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see RFC 3696.

Format: email
country
nullablestringnullable, string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

phone_number
nullablestringnullable, string

A phone number in E.164 format.

url
nullablestringnullable, string

An 'http' or 'https' URL (must begin with either of those).

Format: uri
version
integerinteger

The current version of the search terms. Starts at 1 and increments with each edit to search_terms.

assignee
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

status
stringstring

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: rejected, pending_review, cleared
client_user_id
nullablestringnullable, string

A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.

audit_trail
objectobject

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

source
stringstring

A type indicating who or what last touched this object. dashboard, link, and api indicate the originating surface; system indicates Plaid. retro indicates a screening created retroactively via a bulk screening creation.

Possible values: dashboard, link, api, system, retro
dashboard_user_id
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

timestamp
stringstring

An ISO8601 formatted timestamp.

Format: date-time
request_id
stringstring

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object
{
  "id": "entscr_52xR9LKo77r1Np",
  "search_terms": {
    "entity_watchlist_program_id": "entprg_2eRPsDnL66rZ7H",
    "legal_name": "Al-Qaida",
    "document_number": "C31195855",
    "email_address": "user@example.com",
    "country": "US",
    "phone_number": "+14025671234",
    "url": "https://example.com",
    "version": 1
  },
  "assignee": "54350110fedcbaf01234ffee",
  "status": "cleared",
  "client_user_id": "your-db-id-3b24110",
  "audit_trail": {
    "source": "dashboard",
    "dashboard_user_id": "54350110fedcbaf01234ffee",
    "timestamp": "2020-07-24T03:26:02Z"
  },
  "request_id": "saKrIBuEB9qJZng"
}
=*=*=*=

/watchlist_screening/entity/list

List entity watchlist screenings

List all entity screenings.

/watchlist_screening/entity/list

Request fields

secret
stringstring

Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

client_id
stringstring

Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

entity_watchlist_program_id
requiredstringrequired, string

ID of the associated entity program.

client_user_id
stringstring

A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.

status
stringstring

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: rejected, pending_review, cleared
assignee
stringstring

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

cursor
stringstring

An identifier that determines which page of results you receive.

/watchlist_screening/entity/list
const request: WatchlistScreeningEntityListRequest = {
  entity_watchlist_program_id: 'entprg_2eRPsDnL66rZ7H',
};

try {
  const response = await client.watchlistScreeningEntityList(request);
} catch (error) {
  // handle error
}
/watchlist_screening/entity/list

Response fields

entity_watchlist_screenings
[object][object]

List of entity watchlist screening

id
stringstring

ID of the associated entity screening.

search_terms
objectobject

Search terms associated with an entity used for searching against watchlists

entity_watchlist_program_id
stringstring

ID of the associated entity program.

legal_name
stringstring

The name of the organization being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

document_number
nullablestringnullable, string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

email_address
nullablestringnullable, string

A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see RFC 3696.

Format: email
country
nullablestringnullable, string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

phone_number
nullablestringnullable, string

A phone number in E.164 format.

url
nullablestringnullable, string

An 'http' or 'https' URL (must begin with either of those).

Format: uri
version
integerinteger

The current version of the search terms. Starts at 1 and increments with each edit to search_terms.

assignee
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

status
stringstring

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: rejected, pending_review, cleared
client_user_id
nullablestringnullable, string

A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.

audit_trail
objectobject

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

source
stringstring

A type indicating who or what last touched this object. dashboard, link, and api indicate the originating surface; system indicates Plaid. retro indicates a screening created retroactively via a bulk screening creation.

Possible values: dashboard, link, api, system, retro
dashboard_user_id
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

timestamp
stringstring

An ISO8601 formatted timestamp.

Format: date-time
next_cursor
nullablestringnullable, string

An identifier that determines which page of results you receive.

request_id
stringstring

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object
{
  "entity_watchlist_screenings": [
    {
      "id": "entscr_52xR9LKo77r1Np",
      "search_terms": {
        "entity_watchlist_program_id": "entprg_2eRPsDnL66rZ7H",
        "legal_name": "Al-Qaida",
        "document_number": "C31195855",
        "email_address": "user@example.com",
        "country": "US",
        "phone_number": "+14025671234",
        "url": "https://example.com",
        "version": 1
      },
      "assignee": "54350110fedcbaf01234ffee",
      "status": "cleared",
      "client_user_id": "your-db-id-3b24110",
      "audit_trail": {
        "source": "dashboard",
        "dashboard_user_id": "54350110fedcbaf01234ffee",
        "timestamp": "2020-07-24T03:26:02Z"
      }
    }
  ],
  "next_cursor": "eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM",
  "request_id": "saKrIBuEB9qJZng"
}
=*=*=*=

/watchlist_screening/entity/update

Update an entity screening

Update an entity watchlist screening.

/watchlist_screening/entity/update

Request fields

entity_watchlist_screening_id
requiredstringrequired, string

ID of the associated entity screening.

search_terms
objectobject

Search terms for editing an entity watchlist screening

entity_watchlist_program_id
requiredstringrequired, string

ID of the associated entity program.

legal_name
stringstring

The name of the organization being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

document_number
stringstring

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

email_address
stringstring

A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see RFC 3696.

Format: email
country
stringstring

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

phone_number
stringstring

A phone number in E.164 format.

url
stringstring

An 'http' or 'https' URL (must begin with either of those).

Format: uri
assignee
stringstring

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

status
stringstring

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: rejected, pending_review, cleared
client_user_id
stringstring

A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.

client_id
stringstring

Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

secret
stringstring

Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

reset_fields
[string][string]

A list of fields to reset back to null

Possible values: assignee
/watchlist_screening/entity/update
const request: WatchlistScreeningEntityUpdateRequest = {
  entity_watchlist_screening_id: 'entscr_52xR9LKo77r1Np',
  status: 'cleared',
};

try {
  const response = await client.watchlistScreeningEntityUpdate(request);
} catch (error) {
  // handle error
}
/watchlist_screening/entity/update

Response fields

id
stringstring

ID of the associated entity screening.

search_terms
objectobject

Search terms associated with an entity used for searching against watchlists

entity_watchlist_program_id
stringstring

ID of the associated entity program.

legal_name
stringstring

The name of the organization being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

document_number
nullablestringnullable, string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

email_address
nullablestringnullable, string

A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see RFC 3696.

Format: email
country
nullablestringnullable, string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

phone_number
nullablestringnullable, string

A phone number in E.164 format.

url
nullablestringnullable, string

An 'http' or 'https' URL (must begin with either of those).

Format: uri
version
integerinteger

The current version of the search terms. Starts at 1 and increments with each edit to search_terms.

assignee
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

status
stringstring

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: rejected, pending_review, cleared
client_user_id
nullablestringnullable, string

A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.

audit_trail
objectobject

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

source
stringstring

A type indicating who or what last touched this object. dashboard, link, and api indicate the originating surface; system indicates Plaid. retro indicates a screening created retroactively via a bulk screening creation.

Possible values: dashboard, link, api, system, retro
dashboard_user_id
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

timestamp
stringstring

An ISO8601 formatted timestamp.

Format: date-time
request_id
stringstring

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object
{
  "id": "entscr_52xR9LKo77r1Np",
  "search_terms": {
    "entity_watchlist_program_id": "entprg_2eRPsDnL66rZ7H",
    "legal_name": "Al-Qaida",
    "document_number": "C31195855",
    "email_address": "user@example.com",
    "country": "US",
    "phone_number": "+14025671234",
    "url": "https://example.com",
    "version": 1
  },
  "assignee": "54350110fedcbaf01234ffee",
  "status": "cleared",
  "client_user_id": "your-db-id-3b24110",
  "audit_trail": {
    "source": "dashboard",
    "dashboard_user_id": "54350110fedcbaf01234ffee",
    "timestamp": "2020-07-24T03:26:02Z"
  },
  "request_id": "saKrIBuEB9qJZng"
}
=*=*=*=

/watchlist_screening/entity/history/list

List history for entity watchlist screenings

List all changes to the entity watchlist screening in reverse-chronological order. If the watchlist screening has not been edited, no history will be returned.

/watchlist_screening/entity/history/list

Request fields

secret
stringstring

Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

client_id
stringstring

Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

entity_watchlist_screening_id
requiredstringrequired, string

ID of the associated entity screening.

cursor
stringstring

An identifier that determines which page of results you receive.

/watchlist_screening/entity/history/list
const request: WatchlistScreeningEntityHistoryListRequest = {
  entity_watchlist_screening_id: 'entscr_52xR9LKo77r1Np',
};

try {
  const response = await client.watchlistScreeningEntityHistoryList(request);
} catch (error) {
  // handle error
}
/watchlist_screening/entity/history/list

Response fields

entity_watchlist_screenings
[object][object]

List of entity watchlist screening

id
stringstring

ID of the associated entity screening.

search_terms
objectobject

Search terms associated with an entity used for searching against watchlists

entity_watchlist_program_id
stringstring

ID of the associated entity program.

legal_name
stringstring

The name of the organization being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

document_number
nullablestringnullable, string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

email_address
nullablestringnullable, string

A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see RFC 3696.

Format: email
country
nullablestringnullable, string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

phone_number
nullablestringnullable, string

A phone number in E.164 format.

url
nullablestringnullable, string

An 'http' or 'https' URL (must begin with either of those).

Format: uri
version
integerinteger

The current version of the search terms. Starts at 1 and increments with each edit to search_terms.

assignee
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

status
stringstring

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: rejected, pending_review, cleared
client_user_id
nullablestringnullable, string

A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.

audit_trail
objectobject

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

source
stringstring

A type indicating who or what last touched this object. dashboard, link, and api indicate the originating surface; system indicates Plaid. retro indicates a screening created retroactively via a bulk screening creation.

Possible values: dashboard, link, api, system, retro
dashboard_user_id
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

timestamp
stringstring

An ISO8601 formatted timestamp.

Format: date-time
next_cursor
nullablestringnullable, string

An identifier that determines which page of results you receive.

request_id
stringstring

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object
{
  "entity_watchlist_screenings": [
    {
      "id": "entscr_52xR9LKo77r1Np",
      "search_terms": {
        "entity_watchlist_program_id": "entprg_2eRPsDnL66rZ7H",
        "legal_name": "Al-Qaida",
        "document_number": "C31195855",
        "email_address": "user@example.com",
        "country": "US",
        "phone_number": "+14025671234",
        "url": "https://example.com",
        "version": 1
      },
      "assignee": "54350110fedcbaf01234ffee",
      "status": "cleared",
      "client_user_id": "your-db-id-3b24110",
      "audit_trail": {
        "source": "dashboard",
        "dashboard_user_id": "54350110fedcbaf01234ffee",
        "timestamp": "2020-07-24T03:26:02Z"
      }
    }
  ],
  "next_cursor": "eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM",
  "request_id": "saKrIBuEB9qJZng"
}
=*=*=*=

/watchlist_screening/entity/review/create

Create a review for an entity watchlist screening

Create a review for an entity watchlist screening. Reviews are compliance reports created by users in your organization regarding the relevance of potential hits found by Plaid.

/watchlist_screening/entity/review/create

Request fields

confirmed_hits
required[string]required, [string]

Hits to mark as a true positive after thorough manual review. These hits will never recur or be updated once confirmed. In most cases, confirmed hits indicate that the customer should be rejected.

dismissed_hits
required[string]required, [string]

Hits to mark as a false positive after thorough manual review. These hits will never recur or be updated once dismissed.

comment
stringstring

A comment submitted by a team member as part of reviewing a watchlist screening.

client_id
stringstring

Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

secret
stringstring

Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

entity_watchlist_screening_id
requiredstringrequired, string

ID of the associated entity screening.

/watchlist_screening/entity/review/create
const request: WatchlistScreeningEntityReviewCreateRequest = {
  confirmed_hits: ['enthit_52xR9LKo77r1Np'],
  dismissed_hits: [],
  entity_watchlist_screening_id: 'entscr_52xR9LKo77r1Np',
};

try {
  const response = await client.watchlistScreeningEntityReviewCreate(request);
} catch (error) {
  // handle error
}
/watchlist_screening/entity/review/create

Response fields

id
stringstring

ID of the associated entity review.

confirmed_hits
[string][string]

Hits marked as a true positive after thorough manual review. These hits will never recur or be updated once confirmed. In most cases, confirmed hits indicate that the customer should be rejected.

dismissed_hits
[string][string]

Hits marked as a false positive after thorough manual review. These hits will never recur or be updated once dismissed.

comment
nullablestringnullable, string

A comment submitted by a team member as part of reviewing a watchlist screening.

audit_trail
objectobject

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

source
stringstring

A type indicating who or what last touched this object. dashboard, link, and api indicate the originating surface; system indicates Plaid. retro indicates a screening created retroactively via a bulk screening creation.

Possible values: dashboard, link, api, system, retro
dashboard_user_id
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

timestamp
stringstring

An ISO8601 formatted timestamp.

Format: date-time
request_id
stringstring

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object
{
  "id": "entrev_aCLNRxK3UVzn2r",
  "confirmed_hits": [
    "enthit_52xR9LKo77r1Np"
  ],
  "dismissed_hits": [
    "enthit_52xR9LKo77r1Np"
  ],
  "comment": "These look like legitimate matches, rejecting the customer.",
  "audit_trail": {
    "source": "dashboard",
    "dashboard_user_id": "54350110fedcbaf01234ffee",
    "timestamp": "2020-07-24T03:26:02Z"
  },
  "request_id": "saKrIBuEB9qJZng"
}
=*=*=*=

/watchlist_screening/entity/review/list

List reviews for entity watchlist screenings

List all reviews for a particular entity watchlist screening. Reviews are compliance reports created by users in your organization regarding the relevance of potential hits found by Plaid.

/watchlist_screening/entity/review/list

Request fields

secret
stringstring

Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

client_id
stringstring

Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

entity_watchlist_screening_id
requiredstringrequired, string

ID of the associated entity screening.

cursor
stringstring

An identifier that determines which page of results you receive.

/watchlist_screening/entity/review/list
const request: WatchlistScreeningEntityReviewListRequest = {
  entity_watchlist_screening_id: 'entscr_52xR9LKo77r1Np',
};

try {
  const response = await client.watchlistScreeningEntityReviewList(request);
} catch (error) {
  // handle error
}
/watchlist_screening/entity/review/list

Response fields

entity_watchlist_screening_reviews
[object][object]

List of entity watchlist screening reviews

id
stringstring

ID of the associated entity review.

confirmed_hits
[string][string]

Hits marked as a true positive after thorough manual review. These hits will never recur or be updated once confirmed. In most cases, confirmed hits indicate that the customer should be rejected.

dismissed_hits
[string][string]

Hits marked as a false positive after thorough manual review. These hits will never recur or be updated once dismissed.

comment
nullablestringnullable, string

A comment submitted by a team member as part of reviewing a watchlist screening.

audit_trail
objectobject

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

source
stringstring

A type indicating who or what last touched this object. dashboard, link, and api indicate the originating surface; system indicates Plaid. retro indicates a screening created retroactively via a bulk screening creation.

Possible values: dashboard, link, api, system, retro
dashboard_user_id
nullablestringnullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use /dashboard_user/get.

timestamp
stringstring

An ISO8601 formatted timestamp.

Format: date-time
next_cursor
nullablestringnullable, string

An identifier that determines which page of results you receive.

request_id
stringstring

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object
{
  "entity_watchlist_screening_reviews": [
    {
      "id": "entrev_aCLNRxK3UVzn2r",
      "confirmed_hits": [
        "enthit_52xR9LKo77r1Np"
      ],
      "dismissed_hits": [
        "enthit_52xR9LKo77r1Np"
      ],
      "comment": "These look like legitimate matches, rejecting the customer.",
      "audit_trail": {
        "source": "dashboard",
        "dashboard_user_id": "54350110fedcbaf01234ffee",
        "timestamp": "2020-07-24T03:26:02Z"
      }
    }
  ],
  "next_cursor": "eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM",
  "request_id": "saKrIBuEB9qJZng"
}
=*=*=*=

/watchlist_screening/entity/hit/list

List hits for entity watchlist screenings

List all hits for the entity watchlist screening.

/watchlist_screening/entity/hit/list

Request fields

secret
stringstring

Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

client_id
stringstring

Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

entity_watchlist_screening_id
requiredstringrequired, string

ID of the associated entity screening.

cursor
stringstring

An identifier that determines which page of results you receive.

/watchlist_screening/entity/hit/list
const request: WatchlistScreeningEntityHitListRequest = {
  entity_watchlist_screening_id: 'entscr_52xR9LKo77r1Np',
};

try {
  const response = await client.watchlistScreeningEntityHitList(request);
} catch (error) {
  // handle error
}
/watchlist_screening/entity/hit/list

Response fields

entity_watchlist_screening_hits
[object][object]

List of entity watchlist screening hits

id
stringstring

ID of the associated entity screening hit.

review_status
stringstring

The current state of review. All watchlist screening hits begin in a pending_review state but can be changed by creating a review. When a hit is in the pending_review state, it will always show the latest version of the watchlist data Plaid has available and be compared against the latest customer information saved in the watchlist screening. Once a hit has been marked as confirmed or dismissed it will no longer be updated so that the state is as it was when the review was first conducted.

Possible values: confirmed, pending_review, dismissed
first_active
stringstring

An ISO8601 formatted timestamp.

Format: date-time
inactive_since
nullablestringnullable, string

An ISO8601 formatted timestamp.

Format: date-time
historical_since
nullablestringnullable, string

An ISO8601 formatted timestamp.

Format: date-time
list_code
stringstring

Shorthand identifier for a specific screening list for entities.

AU_CON: Australia Department of Foreign Affairs and Trade Consolidated List

CA_CON: Government of Canada Consolidated List of Sanctions

EU_CON: European External Action Service Consolidated List

IZ_SOE: State Owned Enterprise List

IZ_UNC: United Nations Consolidated Sanctions

IZ_WBK: World Bank Listing of Ineligible Firms and Individuals

US_CAP: US OFAC Correspondent Account or Payable-Through Account Sanctions

US_FSE: US OFAC Foreign Sanctions Evaders

US_MBS: US Non-SDN Menu-Based Sanctions

US_SDN: US OFAC Specially Designated Nationals List

US_SSI: US OFAC Sectoral Sanctions Identifications

US_CMC: US OFAC Non-SDN Chinese Military-Industrial Complex List

US_UVL: Bureau of Industry and Security Unverified List

US_SAM: US System for Award Management Exclusion List

US_TEL: US Terrorist Exclusion List

UK_HMC: Foreign, Commonwealth & Development Office UK Sanctions List

Possible values: CA_CON, EU_CON, IZ_SOE, IZ_UNC, IZ_WBK, US_CAP, US_FSE, US_MBS, US_SDN, US_SSI, US_CMC, US_UVL, US_SAM, US_TEL, AU_CON, UK_HMC
plaid_uid
[...]
